@setlocal
@REM USER VARIABLES - SET AS DESIRED
@set TEMPVMAP=c:\FG\data\vmap0\v0sas\vmaplv0
@set TEMPX0=bin\vpf-topology.exe
@REM ===============================

@REM Examples using vmap-topology.bat to run vpf-topology.exe
@REM database_path library coverage feature
@REM This will LIST all the points in the database. Note, this can be a LONG list!

@REM ==========================================================================
@REM RANGE can be added, like -
@REM --minx=<min lon> --maxx=<max lon> --miny=<min lat> --maxy=<max lat>
@REM But you have to run vpf-topology.exe directly to add these limits.
@REM Without this range, will default to -
@REM --minx=-180.0 --miny=-90.0 --maxx=180.0 --maxy=90.0
@REM ==========================================================================

@REM List of 'coverage' names...
@REM libref bnd dq elev hydro ind phys pop trans util veg
@REM summarising each of these using vmap-summary, will give the 'feature' associated to each.

@echo Show VMAP0 topology, at %TEMPVMAP%...

@REM CHECK EXISTANCE
@if NOT EXIST %TEMPVMAP%\. goto NOVMAP
@if NOT EXIST %TEMPX0% goto NOX0
@REM CHECK INPUT - must be 3 parameters...
@if "%1x" == "x" goto HELP
@if "%2x" == "x" goto HELP
@if "%3x" == "x" goto HELP
@if "%4x" == "x" goto TRYIT
@goto HELP

:TRYIT
%TEMPX0% %TEMPVMAP% %1 %2 %3

@goto END

:HELP
@echo ERROR: MUST give 'library' 'coverage' 'feature'
@goto END


:NOVMAP
@echo ERROR: Can not locate VMAP0 folder... on
@echo %TEMPVMAP%
@goto END

:NOX0
@echo ERROR: Can not locate vpf-topolgy tool... at
@echo %TEMPX0%
@echo Check name. location, and fix...
@goto END

:END
@endlocal
